#
# spec file for package bind9-beta (Version 9.2.0rc8)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  openssl openssl-devel yacc
# usedforbuild    aaa_base aaa_dir aaa_version autoconf automake base bash bindutil binutils bison bzip cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel glibc-locale gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openssl openssl-devel pam pam-devel pam-modules patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim yacc

Name:         bind9-beta
 
Summary:      Name server BIND 9.2 (beta version)
Version:      9.2.0rc8
Release:      184
Copyright:    1996-2001 Internet Software Consortium.
Group:        Productivity/Networking/DNS/Servers
Provides:     dns_daemon
Requires:     bind9-beta-utils
Conflicts:    bind bind8 bind9
Autoreqprov:  on
Source:       ftp://ftp.isc.org/isc/bind9/%{version}/bind-%{version}.tar.bz2
Source1:      sample-config.tar.gz
Source2:      named.conf
Source3:      rc.named
Patch1:       configure.in.dif
Patch2:       bind-9.1.3-security.patch

%description
BIND 9.2.0rc6 is the sixth release candidate of BIND 9.2.0.

It includes a number of new features over 9.1, including:
- The size of the cache can now be limited using the "max-cache-size" option.
- The server can now automatically convert RFC1886-style recursive lookup 
  requests into RFC2874-style lookups, when enabled using the new option 
  "allow-v6-synthesis". This allows stub resolvers that support AAAA records 
  but not A6 record chains or binary labels to perform lookups in domains 
  that make use of these IPv6 DNS features.
- Performance has been improved.
- The named.conf parser has been completely rewritten. It now supports
  "include" directives in more places such as inside "view" statements,
  and it no longer has any reserved words.
- The "rndc status" command is now implemented.
  rndc can now be configured automatically.
- A BIND 8 compatible stub resolver library is now included in lib/bind.
- OpenSSL has been removed from the distribution. This means that to use
  DNSSEC, OpenSSL must be installed and the --with-openssl option must
  be supplied to configure. This does not apply to the use of TSIG, which
  does not require OpenSSL. 

Authors:
--------
    ISC Software <bind@isc.org>

SuSE series: n

%package utils
Summary:      Utilities to query and test DNS (beta version)
Group:        Productivity/Networking/DNS/Servers
Provides:     dns_utils
Conflicts:    bindutil bind9-utils

%description utils
This package includes the utilities host, dig, and nslookup used to test and
query DNS. The new bind named daemon is found in the package bind9-beta.

Authors:
--------
    ISC Software <bind@isc.org>

SuSE series: n

%package devel
Summary:      Development libraries/header files for bind9-beta
Group:        Development/Libraries/C and C++
Conflicts:    bind8-devel bind9-devel

%description devel
This package contains the header files, libraries and documentation
for building programs using the BIND9-beta-libraries.

Authors:
--------
    ISC Software <bind@isc.org>

SuSE series: n

%prep
%setup -n bind-%{version}
%setup -T -D -a1 -n bind-%{version}
%patch1
%patch2 -p1

%build
#DIR=$(find . -name configure -printf "%h\n")
%{?suse_update_config:%{suse_update_config -f}}
rm -fv config.cache
libtoolize --force
aclocal
autoconf
./configure --bindir=/usr/bin --sbindir=/usr/sbin --sysconfdir=/etc \
	--libdir=/usr/lib --includedir=/usr/include/bind \
	--mandir=%{_mandir} --infodir=%{_infodir} \
	--with-libtool --enable-threads --with-openssl 	
make
# ---------------------------------------------------------------------------

%install
make install
install -m 644 %{SOURCE2} /etc/named.conf
install -m 755 %{SOURCE3} /etc/init.d/named
ln -sf ../../etc/init.d/named /usr/sbin/rcnamed
mkdir -p /var/named/slave
install -m 644 sample-config/root.hint /var/named
install -m 644 sample-config/{127.0.0,localhost}.zone /var/named
chmod a+x /usr/lib/libdns.so.5.0.0
chmod a+x /usr/lib/libisc.so.4.0.0
chmod a+x /usr/lib/libisccc.so.0.0.0
chmod a+x /usr/lib/libisccfg.so.0.0.0
chmod a+x /usr/lib/liblwres.so.1.1.0
ldconfig
# ---------------------------------------------------------------------------

%post
%{fillup_and_insserv named}

%postun
%{insserv_cleanup}

%files
%dir /var/named
%dir /var/named/slave
%config(noreplace) /etc/named.conf
%config /var/named/root.hint
%config /var/named/127.0.0.zone
%config /var/named/localhost.zone
%config /etc/init.d/named
/usr/bin/nsupdate
/usr/sbin/rcnamed
/usr/sbin/named
/usr/sbin/named-checkconf
/usr/sbin/named-checkzone
/usr/sbin/lwresd
/usr/sbin/rndc
/usr/sbin/rndc-confgen
/usr/sbin/dnssec-keygen
/usr/sbin/dnssec-makekeyset
/usr/sbin/dnssec-signkey
/usr/sbin/dnssec-signzone
/usr/lib/libisccc.so
/usr/lib/libisccc.so.0
/usr/lib/libisccc.so.0.0.0
/usr/lib/libisccfg.so
/usr/lib/libisccfg.so.0
/usr/lib/libisccfg.so.0.0.0
/usr/lib/liblwres.so
/usr/lib/liblwres.so.1
/usr/lib/liblwres.so.1.1.0
%doc %{_mandir}/man5/rndc.conf.5.gz
%doc %{_mandir}/man8/rndc.8.gz
%doc %{_mandir}/man8/rndc-confgen.8.gz
%doc %{_mandir}/man8/lwresd.8.gz
%doc %{_mandir}/man8/named.8.gz
%doc %{_mandir}/man8/nsupdate.8.gz
%doc %{_mandir}/man8/dnssec-keygen.8.gz
%doc %{_mandir}/man8/dnssec-makekeyset.8.gz
%doc %{_mandir}/man8/dnssec-signkey.8.gz
%doc %{_mandir}/man8/dnssec-signzone.8.gz
%doc %{_mandir}/man8/named-checkconf.8.gz
%doc %{_mandir}/man8/named-checkzone.8.gz
%doc CHANGES COPYRIGHT README FAQ version
%doc doc/arm doc/draft doc/misc doc/rfc
%doc bin/tests/named.conf
%doc bin/tests/ndc.conf
%doc bin/tests/resolv.conf.sample
%doc sample-config

%files utils
/usr/bin/dig
/usr/bin/host
/usr/bin/nslookup
/usr/lib/libdns.so
/usr/lib/libdns.so.5
/usr/lib/libdns.so.5.0.0
/usr/lib/libisc.so
/usr/lib/libisc.so.4
/usr/lib/libisc.so.4.0.0
#%doc %{_mandir}/man1/dig.1.gz
#%doc %{_mandir}/man1/host.1.gz

%files devel
/usr/lib/libdns.a
/usr/lib/libdns.la
/usr/lib/libisc.a
/usr/lib/libisc.la
/usr/lib/libisccc.a
/usr/lib/libisccc.la
/usr/lib/libisccfg.a
/usr/lib/libisccfg.la
/usr/lib/liblwres.a
/usr/lib/liblwres.la
/usr/include/bind
%doc %{_mandir}/man3/lwres.3.gz
%doc %{_mandir}/man3/lwres_*.3.gz
%doc contrib

%changelog -n bind9-beta
* Mon Jun 03 2002 - okir@suse.de
- Applied security fix for remote DoS (CERT VU#739123)
* Fri Dec 14 2001 - ro@suse.de
- removed START_NAMED
* Thu Oct 25 2001 - lmuelle@suse.de
- update to bind-9.2.0rc8 (release candidate 8)
  fixes 25 bugs; for details cf. the CHANGES file
* Tue Oct 09 2001 - lmuelle@suse.de
- update to bind-9.2.0rc6 (release candidate 6)
  fixes six bugs; for details cf. the CHANGES file
* Tue Oct 02 2001 - lmuelle@suse.de
- update to bind-9.2.0rc5 (release candidate 5)
  fixes seven bugs; for details cf. the CHANGES file
* Thu Sep 27 2001 - lmuelle@suse.de
- update to bind-9.2.0rc4 (release candidate 4)
  fixes six bugs; for details cf. the CHANGES file
* Fri Sep 14 2001 - lmuelle@suse.de
- update to bind-9.2.0rc3 (release candidate 3)
  Include rndc-confgen man page
  Report filename if $INCLUDE fails for file related errors
  fixes two bugs in dig
* Wed Sep 12 2001 - lmuelle@suse.de
- update to bind-9.2.0rc2 (release candidate 2)
  add warning due to missconfigured root hint file
  fixes 15 bugs
* Fri Aug 10 2001 - bodammer@suse.de
- update to bind-9.2.0rc1 (release candidate 1)
* Tue Jul 31 2001 - bodammer@suse.de
- update to bind-9.2.0b2
* Thu Jul 19 2001 - bodammer@suse.de
- initial package bind-9.2.0b1 (first beta release)
